package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指南步骤类型枚举
 *
 * @author ZYJ
 * @date 2023/6/20 19:07
 */
@Getter
@AllArgsConstructor
public enum GuideStepTypeEnum {

    /**
     * 指南步骤类型枚举
     */
    EXAMINE_TYPE(2, "审核", true),
    UPLOAD_FILE_TYPE(0, "上传文件", true),
    PAY_TYPE(1, "缴费", false),
    MATCH_FACE(3, "人脸对比", true),
    NOTICE(4, "提示", false),
    CLASS(5, "班级预分", true),
    DORM(6, "宿舍预分", true);

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String message;

    /**
     * 是否需要审核
     */
    private final boolean examineFlag;
}
